/// <reference types="react" />
import { BaseDataControl } from "./BaseDataControl";
import { IDataDefinition } from "../../Common/Data/Definitions/IDataDefinition";
export declare class XTimeline extends BaseDataControl {
    timelineValues: string[];
    isVertical: boolean;
    isDynamic: boolean;
    labelSize?: number;
    stepsValueName?: string;
    constructor();
    render(): JSX.Element;
    handleChange: (event: any, newValue: number) => void;
    valuetext: (index: number) => string;
    getStepValues: () => string[];
    getValue(): number;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
    renderEditUI(): JSX.Element | null;
}
